%define version 8.2.0
%define release alt1
%define origname TwistedMail
%setup_python_module twisted-mail

Name:           %packagename
Version:        %version
Release:        %release
Summary:        A Twisted Mail library, server and client

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Mail/0.4/%origname-%version.tar.bz2

BuildRequires:  python-module-twisted-core >= 8.2.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-twisted-names

%description
Twisted is an event-based framework for internet applications.

Twisted Mail contains high-level, efficient protocol implementations
for both clients and servers of SMTP, POP3, and IMAP4. Additionally,
it contains an "out of the box" combination SMTP/POP3 virtual-hosting
mail server. Also included is a read/write Maildir implementation and
a basic Mail Exchange calculator.

%prep
%setup -q -n %origname-%version

%build
%__python setup.py build

%install
%__python setup.py install --root $RPM_BUILD_ROOT --install-purelib %python_sitelibdir

# this .py file has a shebang line so should be executable
#chmod +x $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/mail/test/pop3testserver.py

%clean

%files
%doc LICENSE NEWS README doc/*
%_bindir/mailmail
%python_sitelibdir/twisted/mail/
%python_sitelibdir/Twisted_Mail-*.egg-info
%python_sitelibdir/twisted/plugins/twisted_mail.py*

%changelog
* Mon Oct 19 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
- new version 

* Sat Dec 08 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt2.1
- Fix build on x86_64 (thanks to Nikolay A. Fetisov aka naf@)
- Spec cleanup
- fix Bug #13518

* Sun Apr 01 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt2
- spec cleanup

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt1
- Build for new upstream version
